#!/bin/bash
#
# ***** BEGIN LICENSE BLOCK *****
# Copyright (C) 2018 ZeXtras S.r.l.
#
# The contents of this file are subject to the ZeXtras License;
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# https://www.zextras.com/eula/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
# ***** END LICENSE BLOCK *****
#

set -e
set -o pipefail

MYDIR="$(pwd)"

. "${MYDIR}/libs/general.sh"
. "${MYDIR}/libs/os.sh"
. "${MYDIR}/libs/variables.sh"

main() {
  checkUser
  checkOS
  disclaimer
  dockerDisclaimer
  checkForPrerequisites
  installPackage
  addCron
  exec /usr/local/bin/zdocs setup
}

main "$@"
